
import ActionType from '../../actions/types'
// khởi tạo một init state
const initialState = {
    myDirectManagers: [],
    isLoading: false,
}

// bắt từng action type
function GetUserDirectManagers(state = initialState, action) {
    switch (action.type) {
        case ActionType.START_GET_USER_MANAGERS:
            return {
                ...state,
                isLoading: true,
            }

        case ActionType.GET_USER_MANAGERS_SUCCESS:
            return {
                myDirectManagers: action.data,
                isLoading: false,
            }
        case ActionType.GET_USER_MANAGERS_FAILED:
            return {
                ...state,
                isLoading: false,
            }
        default:
            return state
    }
}

export default GetUserDirectManagers
